=== debian/changelog ===
rust-wasmtime (21.0.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump gimli and object dependencies (Closes: #1090390, #1091602).

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 Jan 2025 19:56:39 +0000

rust-wasmtime (21.0.2+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + exclude more potentially non-DFSG binary code
    + update coverage
  * bump project versions in virtual packages and autopkgtests
  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * update and unfuzz patches
  * update (build-)dependencies
    for crates anyhow gimli target-lexicon

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Nov 2024 23:20:06 +0100
