=== debian/control ===
Source: rust-wasmtime
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-tempfile-3+default-dev,
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-bincode-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-hashbrown-0.14-dev,
 librust-log-0.4-dev,
 librust-regalloc2-0.9+checker-dev,
 librust-regalloc2-0.9+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-target-lexicon-0.12+default-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/
Rules-Requires-Root: no

Package: librust-cranelift-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-bincode-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.11+default-dev,
 librust-codespan-reporting-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-hashbrown-0.14-dev,
 librust-log-0.4-dev,
 librust-regalloc2-0.9+checker-dev,
 librust-regalloc2-0.9+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-target-lexicon-0.12+default-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.108+core-dev (= ${binary:Version}),
 librust-cranelift-0.108+default-dev (= ${binary:Version}),
 librust-cranelift-0.108+std-dev (= ${binary:Version}),
 librust-cranelift-0.108-dev (= ${binary:Version}),
 librust-cranelift-0.108.2-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.108+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.108-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.108.2-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-codegen-0.108+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.108-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.108.2-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.108+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.108-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.108.2-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.108+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.108-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.108.2-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.108+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.108+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.108-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.108.2-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.108+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.108+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.108-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.108.2-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.108+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.108+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.108+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.108-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.108.2-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-isle-0.108+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.108+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.108+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.108-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.108.2-dev (= ${rust:Version:librust-cranelift-isle-dev}),
Description: low-level retargetable code generator - Rust source code
 Cranelift is a low-level retargetable code generator.
 It translates a target-independent intermediate representation
 into executable machine code.
 .
 This package contains the source for the Rust cranelift crate,
 for use with cargo.
