## rust-wasmtime 26.0.1%2Bdfsg

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: bytecodealliance
Project: wasmtime
Dversion-Mangle: auto
Repacksuffix: +dfsg
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(26\.[\d.]+)
