=== debian/changelog ===
rust-wasmtime (26.0.1+dfsg-4) unstable; urgency=medium

  * rename patches 2001_capstone -> 1001_capstone
    and 2001_memmap2 -> 1001_memmap2
  * declare compliance with Debian Policy 4.7.2
  * reduce patch 2001_target-lexicon
    and rename to 2001_pulley-interpreter
    to reflect that it now only avoids crate pulley-interpreter
  * add patch 1001_codespan-reporting
    to accept newer minor version of crate codespan-reporting;
    relax (build-)dependency for crate codespan-reporting;
    closes: bug#1117629, thanks to Nadzeya Hutsko
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Oct 2025 00:25:16 +0200

rust-wasmtime (26.0.1+dfsg-3) unstable; urgency=medium

  * drop patch 2002_no_feature_jit, obsoleted by upstream changes;
    add patch 2001_memmap2 to accept newer branches of crate memmap2;
    add patch 2001_wasmtime-jit-icache-coherence
    to add path hint for embedded crate wasmtime-jit-icache-coherence;
    provide crates cranelift-jit wasmtime-jit-icache-coherence;
    closes: bug#1095152, thanks to Maytham Alsudany and Hilko Bengen
  * provide virtual package for and autopkgtest cranelift features
    frontend interpreter jit module native object
  * simplify patch 2001_capstone;
    tighten (build-)dependencies for crate capstone
  * add patch 2004 to break cyclic dependency
    (see bug#1094199)
  * extend patch 2002_no_windows
    to cover crates cranelift-jit wasmtime-jit-icache-coherence
  * autopkgtest crate wasmtime-jit-icache-coherence

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Feb 2025 10:10:52 +0100

rust-wasmtime (26.0.1+dfsg-2) unstable; urgency=medium

  * virtually provide unversioned crates
  * relax patch 2001_capstone to accept newer branch;
    relax (build-)dependency for crate capstone;
    closes: bug#1095629, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 20:08:53 +0100

rust-wasmtime (26.0.1+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump (build-)dependency for crate regalloc2
  * stop (build-)depend on package for crate arbitrary

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 22:22:08 +0100

rust-wasmtime (23.0.3+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * (build-)depend on packages
    for crates env_logger object thiserror
  * update copyright info: update coverage
  * provide crates cranelift-bitset cranelift-interpreter
    cranelift-object cranelift-reader

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 12:16:24 +0100

rust-wasmtime (21.0.2+dfsg-3) unstable; urgency=medium

  * provide crates cranelift-module cranelift-native;
    (build-)depend on packages for crates libc serde_derive;
    tighten (build-)dependencies for crates serde regalloc2 smallvec;
    see bug#1095152

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 01:35:56 +0100

rust-wasmtime (21.0.2+dfsg-2) unstable; urgency=medium

  * update and unfuzz patches
  * fix clean target;
    closes: bug#1095429, thanks to NoisyCoil
  * drop old superseded make rule
  * fix build-depend (not only depend) on package
    for crate codespan-reporting
  * wrap and sort control files,
    with shortening options -ast
  * (build-)depend on package for crate postcard

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 00:45:33 +0100
