=== debian/control ===
Source: rust-wasmtime
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-bincode-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-codespan-reporting-dev (<< 0.13),
 librust-env-logger-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-hashbrown-0.14-dev,
 librust-libc-0.2-dev,
 librust-log-0.4-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-postcard-1+alloc-dev,
 librust-regalloc2-0.10+checker-dev,
 librust-regalloc2-0.10+default-dev,
 librust-regalloc2-0.10+enable-serde-dev,
 librust-region-3+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-derive-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-target-lexicon-0.12+default-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/
Rules-Requires-Root: no

Package: librust-cranelift-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-bincode-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-codespan-reporting-dev (<< 0.13),
 librust-env-logger-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-hashbrown-0.14-dev,
 librust-libc-0.2-dev,
 librust-log-0.4-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-postcard-1+alloc-dev,
 librust-regalloc2-0.10+checker-dev,
 librust-regalloc2-0.10+default-dev,
 librust-regalloc2-0.10+enable-serde-dev,
 librust-region-3+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-derive-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-target-lexicon-0.12+default-dev,
 librust-thiserror-1+default-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.113+core-dev (= ${binary:Version}),
 librust-cranelift-0.113+default-dev (= ${binary:Version}),
 librust-cranelift-0.113+frontend-dev (= ${binary:Version}),
 librust-cranelift-0.113+interpreter-dev (= ${binary:Version}),
 librust-cranelift-0.113+jit-dev (= ${binary:Version}),
 librust-cranelift-0.113+module-dev (= ${binary:Version}),
 librust-cranelift-0.113+native-dev (= ${binary:Version}),
 librust-cranelift-0.113+object-dev (= ${binary:Version}),
 librust-cranelift-0.113+std-dev (= ${binary:Version}),
 librust-cranelift-0.113-dev (= ${binary:Version}),
 librust-cranelift-0.113.1-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.113+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.113-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.113.1-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bitset-0.113+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.113+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.113-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.113.1-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-codegen-0.113+core-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.113+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.113+enable-serde-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.113+std-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.113-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.113.1-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.113+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.113-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.113.1-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.113+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.113-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.113.1-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.113+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.113+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.113-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.113.1-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.113+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.113+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.113-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.113.1-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.113+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.113+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.113+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.113-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.113.1-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-interpreter-0.113+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.113-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.113.1-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-isle-0.113+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.113+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.113+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.113-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.113.1-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-jit-0.113+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.113+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.113-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.113.1-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-module-0.113+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.113+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.113+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.113+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.113-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.113.1-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-native-0.113+core-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.113+default-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.113+std-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.113-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.113.1-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-object-0.113+default-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-0.113-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-0.113.1-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-reader-0.113+default-dev (= ${rust:Version:librust-cranelift-reader-dev}),
 librust-cranelift-reader-0.113-dev (= ${rust:Version:librust-cranelift-reader-dev}),
 librust-cranelift-reader-0.113.1-dev (= ${rust:Version:librust-cranelift-reader-dev}),
 librust-cranelift-reader-dev (= ${rust:Version:librust-cranelift-reader-dev}),
 librust-wasmtime-jit-icache-coherence-26+default-dev (= ${rust:Version:librust-wasmtime-jit-icache-coherence-dev}),
 librust-wasmtime-jit-icache-coherence-26+one-core-dev (= ${rust:Version:librust-wasmtime-jit-icache-coherence-dev}),
 librust-wasmtime-jit-icache-coherence-26-dev (= ${rust:Version:librust-wasmtime-jit-icache-coherence-dev}),
 librust-wasmtime-jit-icache-coherence-26.0-dev (= ${rust:Version:librust-wasmtime-jit-icache-coherence-dev}),
 librust-wasmtime-jit-icache-coherence-26.0.1-dev (= ${rust:Version:librust-wasmtime-jit-icache-coherence-dev}),
 librust-wasmtime-jit-icache-coherence-dev (= ${rust:Version:librust-wasmtime-jit-icache-coherence-dev}),
Description: low-level retargetable code generator - Rust source code
 Cranelift is a low-level retargetable code generator.
 It translates a target-independent intermediate representation
 into executable machine code.
 .
 This package contains the source for the Rust cranelift crate,
 for use with cargo.
