=== debian/tests/control ===
# check single-feature tests only on amd64
# skip official architectures unsupported by crate cranelift-codegen

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --all-features
Features:
 test-name=cranelift:@,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets
Features:
 test-name=cranelift:default,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113+default-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --no-default-features
Features:
 test-name=cranelift:,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --no-default-features --features core
Features:
 test-name=cranelift:core,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113+core-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --no-default-features --features std
Features:
 test-name=cranelift:std,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113+std-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --no-default-features --features frontend
Features:
 test-name=cranelift:frontend,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113+frontend-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --no-default-features --features interpreter
Features:
 test-name=cranelift:interpreter,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113+interpreter-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.113.1
 --all-targets --no-default-features --features jit
Features:
 test-name=cranelift:jit,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.113+jit-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,
