## rust-wasmtime 27.0.0%2Bdfsg

=== debian/changelog ===
rust-wasmtime (27.0.0+dfsg-3) unstable; urgency=high

  * skip autopkgtest-checking more failing features
  * set urgency=high since due to security fixes in previous release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 10:12:41 +0100

rust-wasmtime (27.0.0+dfsg-2) unstable; urgency=high

  * update watch file: limit to match v28
  * add patch cherry-picked upstream
    to prevent using shared memories;
    CVE-2025-64345;
    fixes bug#1120699, thanks to Salvatore Bonaccorso
  * raise urgency due to security bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Nov 2025 22:47:25 +0100

rust-wasmtime (27.0.0+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v27
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * tighten (build-)dependencies for crate serde

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Nov 2025 15:36:34 +0100

rust-wasmtime (26.0.1+dfsg-10) unstable; urgency=medium

  * skip autopkgtest-checking more features
    apparently unsupported alone

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Oct 2025 09:03:16 +0200

rust-wasmtime (26.0.1+dfsg-9) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix build failure with rustc 1.89

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Oct 2025 19:39:25 +0200

rust-wasmtime (26.0.1+dfsg-8) unstable; urgency=medium

  * fix autopkgtest more

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 22:05:21 +0200

rust-wasmtime (26.0.1+dfsg-7) unstable; urgency=medium

  * update watch file:
    + use file format 5
    + limit to match v26
  * fix patch 2004
  * fix autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 11:59:22 +0200

rust-wasmtime (26.0.1+dfsg-6) unstable; urgency=medium

  * fix extend patch 2001_pulley-interpreter
  * (build-)depend on packages
    for crates arbitrary rustc-hash;
    depend on package for crate similar;
    tighten dependencies
    for crates gimli hashbrown object regalloc2
    souper-ir target-lexicon;
    stop depend on package for crate bincode;
    provide cranelift-bitset feature arbitrary;
    provide cranelift-codegen features
    all-native-arch arm64 disas incremental-cache isle-errors
    isle-in-source-tree riscv64 s390x souper-harvest timing unwind x86
  * extend autopkgtest to cover all embedded crates

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Oct 2025 16:38:36 +0200

rust-wasmtime (26.0.1+dfsg-5) unstable; urgency=medium

  * tighten build-dependency for crate codespan-reporting
  * build whole workspace (not only cranelift subset);
    update and unfuzz patches;
    build-depend on packages
    for crates async-trait base64 bytes bytesize cap-std
    clap clap_complete directories-next filetime futures gimli
    humantime indicatif itertools libm libtest-mimic memfd
    pretty-env-logger psm serde_json sptr toml tracing
    walkdir wasmparser wat zstd;
    tighten build-dependencies
    for crates hashbrown libc object postcard regalloc2 serde
    souper-ir target-lexicon;
    stop build-depend on packages for crate bincode

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Oct 2025 14:18:53 +0200
